gooドクター有料プランが1ヶ月間無料!

Debianにpstreeをインストールしたいのですが、
>apt-get install pstree
とすると、
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package pstree
となってエラーになってしまいます。
一応、
>apt-get update
は行っています。
何が悪いのでしょうか?
分かる方、ご教示ください。

質問者からの補足コメント

  • ヴァージョンは、10.2です。
    パッケージって、どの様に指定するんですか?

    No.1の回答に寄せられた補足コメントです。 補足日時:2021/03/24 00:00
gooドクター

A 回答 (2件)

しようしているDebianのバージョンくらい記載した方がいいんじゃないですかね?



https://packages.debian.org/ja/jessie/psmisc
psmiscパッケージのようですが。
この回答への補足あり
    • good
    • 0
この回答へのお礼

>apt-get install psmisc
でインストールできるのですね^^;
ありがとうございました。

お礼日時:2021/03/24 00:51

コマンドが分かっているなら、以下のコマンドでそのコマンドが含まれるパッケージが検索できます。



apt-file search 'bin/pstree'

私の環境はDebianベースのLMDEですが、以下のような結果でした。

$ apt-file search 'bin/pstree'
psmisc: /usr/bin/pstree
psmisc: /usr/bin/pstree.x11

この場合は、下記でインストールできます。

$ sudo apt install psmisc
    • good
    • 0

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!

このQ&Aを見た人はこんなQ&Aも見ています

gooドクター

このQ&Aを見た人がよく見るQ&A

人気Q&Aランキング